package com.uas.platform.b2b.erp.model;

import com.uas.platform.b2b.model.SaleQuotationPrice;

/**
 * 供应商主动报价，分段报价信息
 * 
 * @author yingp
 *
 */
public class QuotationDetailDet {

	private Double qdd_lapqty;
	private Double qdd_price;

	public Double getQdd_lapqty() {
		return qdd_lapqty;
	}

	public void setQdd_lapqty(Double qdd_lapqty) {
		this.qdd_lapqty = qdd_lapqty;
	}

	public Double getQdd_price() {
		return qdd_price;
	}

	public void setQdd_price(Double qdd_price) {
		this.qdd_price = qdd_price;
	}

	/**
	 * 供应商ERP的主动报价单的报价信息，转为平台的报价单的报价信息
	 * 
	 * @return
	 */
	public SaleQuotationPrice convert() {
		SaleQuotationPrice price = new SaleQuotationPrice();
		price.setLapQty(this.qdd_lapqty);
		price.setPrice(this.qdd_price);
		return price;
	}
	
	public QuotationDetailDet(){}
	
	public QuotationDetailDet(SaleQuotationPrice price){
		this.qdd_lapqty = price.getLapQty();
		this.qdd_price = price.getPrice();
	}
}
